agency-board

PATCH /v1/agency/boards/{boardId}/cards/{cardId}/checklist/{itemId}

Tick or un-tick one checklist item.

جميع نقاط نهاية agency-board

المصادقة

أرسل مفتاح واجهة برمجة التطبيقات (API) كرمز حامل (bearer token). لا يحدد نقطة النهاية هذه إذنًا محددًا في المواصفات، لذا امنح مفتاحك الحد الأدنى الذي محتاجه وتحقق من الاستجابة بدلاً من الافتراض.

لا يقبل هذا الطرف أي معرف للمؤسسة. يحدد مفتاحك بالفعل المؤسسة التي ينتمي إليها، وتكون الاستجابة محصورة في نطاقها.

جربه الآن

استبدل أي شيء بين أقواس زاوية بقيمك الخاصة، والعنصر النائب للمفتاح بمفتاح من لوحة تحكمك.

curl -X PATCH https://api.zinndigital.com/v1/agency/boards/{boardId}/cards/{cardId}/checklist/{itemId} \
  -H "Authorization: Bearer zdk_live_…" \
  -H "Content-Type: application/json" \
  -d '{ "done": <boolean> }'

هل سجلت الدخول؟ تقوم وحدة تحكم واجهة برمجة التطبيقات في لوحة التحكم الخاصة بك بربط معرف مؤسستك الحقيقي ومفتاحك الخاص، وتنفذ الطلب مقابل واجهة برمجة التطبيقات المباشرة لتتمكن من رؤية الاستجابة الفعلية. افتح هذه النهاية الطرفية في وحدة تحكم API

التفاصيل

⛔ Idempotent, and it records nothing on the board's timeline when the state already matches. A checkbox re-sending its state would otherwise read as "ticked Deploy, 6 times" for one tick. ⭐ `done_by` is kept when an item is un-ticked. "Who ticked this and then un-ticked it" is a question an agency gets asked by its client, and clearing the field makes it unanswerable while looking tidier.

المعلمات

الاسمالنوعمطلوبما هو هذا
boardId (path)UuidنعمProject board ID (UUIDv7).
cardId (path)UuidنعمBoard card ID (UUIDv7).
itemId (path)UuidنعمBoard checklist item ID (UUIDv7).

جسم الطلب

الاسمالنوعمطلوبما هو هذا
donebooleanنعم

الاستجابة

الاسمالنوعمطلوبما هو هذا
idUuidنعمUUIDv7 identifier — sortable by creation time (docs/02 §8).
card_idUuidنعمUUIDv7 identifier — sortable by creation time (docs/02 §8).
textstringنعم
positionintegerنعم
done_atstringلاWhen it was ticked. `null` means outstanding.
done_byAgencyBoardActorلاWho ticked it. ⛔ Kept when the item is un-ticked as well, so "Sam ticked this and then un-ticked it" stays answerable.
created_atstringلا

الأخطاء التي يمكن أن تُرجعها نقطة النهاية هذه

401 · 403 · 404 · 422